<?php 


//	 echo "<BR>";
//echo rand(2,50);
//sleep(rand(2,50));

date_default_timezone_set('America/Costa_Rica');


session_start();

 $usu=$_SESSION['username'];
 

		include('../conexion.php'); 
	if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='u'  or $_SESSION['tipo_usu']=='c'){
		}else{
			header('location:acceso_denegado.php');
		}
		

//		$estado = "ABIERTO";
//		$sel="UPDATE wc_token SET estado='$estado' "; //// PREPRA PARA EL TOKEN
//		$mysqli->query($sel);


		$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
		$resultado = $mysqli->query($consulta);
		$row = $resultado->fetch_array();
		$nomb = $row["usu"];
		$cdgven= $row["codusu"];


   
$consulta = "SELECT * FROM web_0000 ";
$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();

        $tipcamdol = $fila["tipcamdol"];
	     $clades = $fila["clades"];
 


$fechahoy=date("Y-m-d");
$sel_fact="INSERT INTO facturastmp (codfactura,fecha) VALUE ('','$fechahoy')";
$mysqli->query($sel_fact);
$codfacturatmp=$mysqli-> insert_id ; 


$consulta2 =  "DELETE FROM facturastmp  WHERE codfactura !='$codfacturatmp'";
$mysqli->query($consulta2);
// Se actualiza a la nueva numeracion de factura


?>
<html>

	<head>
    
		<title>Principal</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">



		<script type="text/javascript" src="../funciones/validar.js"></script>
	
    <script>
  window.onkeydown = tecla;

  function tecla(event) {
  if( event.keyCode > 111 && event.keyCode < 123 || event.keyCode ==27	) {    num = event.keyCode;

if(num==113)abreVentana(); // f2  busqueda de clientes 
//if(num==119){ ventanaArticulos(); } // f7 busqueda de articulos
if(num==119){ ventanaArticulos(); } // f8 busqueda de articulos
if(num==121) {validar_cabecera();     }// f7 pago de contado
if(num==120){ ConsultarArticulo();  }//f9 guardar e imprimir
if(num==118){ abrir_cxc(); 
			
 }//f10 guardar e imprimir 
if(num==27){ 

					document.getElementById("cdgbar").value="";
					document.getElementById("dscart").value="";
					document.getElementById("preivi").value="";
					document.getElementById("cantidad").value="";
					document.getElementById("importe").value="";
					
			 document.getElementById("formulario_lineas").submit();  }//escape salir
  }  
  }

</script>
    
    	




		<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		


//window.onkeydown=tecla;
//
//function tecla(event){
//
//num = event.keyCode;
//
//

//}
//


	//parent.document.forms.formulario_lineas.action="frame_lineas_super.php";
	//parent.document.formulario_lineas.submit();



		
		function salir() {
			
		    if (confirm(" Desea cancelar la factura ? "))
			
			location.href="nueva_proforma_super.php?cadena_busqueda=<? echo $cadena_busqueda?>";
		}
		

		var miPopup
		function abreVentana(){

		
			miPopup = window.open("ver_clientes.php","miwin","width=700,height=650,scrollbars=yes");
			miPopup.focus();
		document.getElementById("cdgbar").value="";
		document.getElementById("dscart").value="";
		document.getElementById("cantidad").value="1.00";
		document.getElementById("preivi").value="";
		document.getElementById("importe").value="";
		document.getElementById("dcto").value="";
		document.getElementById("descuento").value="";
		document.getElementById("cob_iv").value="";
		document.getElementById("cantidad").select();
		
	 
			}	
			
	
		
		function ventanaArticulos(){
			var codigo=document.getElementById("cdgcli").value;
			var dsccli=document.getElementById("dsccli").value;
			if (codigo=="") {
				alert ("Debe introducir el codigo del cliente antes de continuar");
			} else {
					miPopup = window.open("ver_articulos_super.php?codigo="+codigo+"&dsccli="+dsccli,"miwin","width=800,height=650,scrollbars=yes");
						document.getElementById("cantidad").select();
						actualizar_importe ();
		
				
			}
		}
	
	
		
		function ConsultarArticulo(){
	
					miPopup = window.open("../inventario/consultar_articulo_super.php?","miwin","width=1380,height=650,scrollbars=yes");
				
	
		}
	
		function abrir_cxc()
		{
		var filas=document.getElementById("filas").value;
		if (filas > 0 ){
		
		alert("No puede abandonar esta Factura aun posee lineas, borrelas antes de continuar");
		//miPopup = window.open("http://localhost:8080/SupermercadoRyS_original/Pagos_Clientes/Nuevo_Recibo.php?","miwin","width=1380,height=650,scrollbars=yes");
		} else {
			location.href="../Pagos_Clientes/Nuevo_Recibo.php";	
	
		}}
					
		
		function validarcliente(){
		 
		
		
			var codigo=document.getElementById("cdgcli").value;
			var filas=document.getElementById("filas").value;	
	
		
	miPopup = window.open("comprobarcliente.php?cdgcli="+codigo,"frame_datos1","width=900,height=90,scrollbars=yes");
	
				
		
		document.getElementById("cdgbar").value="";
		document.getElementById("dscart").value="";
		document.getElementById("cantidad").value="1.00";
		document.getElementById("preivi").value="";
		document.getElementById("importe").value="";
		document.getElementById("dcto").value="";
		document.getElementById("descuento").value="";
		document.getElementById("cob_iv").value="";

				

		
			
	
	
		}	
		
		
			function validararticulo(){
			
			var codigo=document.getElementById("cdgcli").value;
			if (codigo=="") {
				alert ("Debe introducir el codigo del cliente antes de continuar");
					document.getElementById("cdgbar").value="";

				
			} else {
	
	 		      var dsccli=document.getElementById("dsccli").value;
			      var codigobarras=document.getElementById("cdgbar").value;
				  
				if (codigobarras!="") {	  
				  
				  var cantidad=document.getElementById("cantidad").value;
			miPopup = window.open("comprobararticulo_super.php?cdgbar="+codigobarras+"&cdgcli="+codigo+"&dsccli="+dsccli+"&cantidad="+cantidad, "frame_datos2","width=900,height=90,scrollbars=yes");
		//window.open("clientes.php?cdgcli="+cdgcli+"&dsccli="+dsccli+"&cedcli="+cedcli+"&numtel="+numtel);
			
		actualizar_importe ();
		
			
	}
		}
		
			
			}
		
		function cancelar() {
			location.href="index.php";
		}
		
		function limpiarcaja() {
			document.getElementById("dsccli").value="";
			document.getElementById("cedcli").value="";
		}
		
			function limpiararticulo() {
			document.getElementById("cdgbar").value="";
			document.getElementById("dscart").value="";
			document.getElementById("descuento").value="";
			document.getElementById("preivi").value="";
			document.getElementById("importe").value="";
			document.getElementById("cantidad").value="";
			document.getElementById("mondes").value="";
		}
		
	
		
		function actualizar_importe()		{
	
		

				
			if (document.getElementById("cliexento").value==1){
		
	
	
			    	document.getElementById("importe").value="";
				var preivi=document.getElementById("preivi").value;
				var cantidad=document.getElementById("cantidad").value;
				var descuento=document.getElementById("descuento").value;
				var tipart=document.getElementById("tipart").value;
				var ivporc=document.getElementById("ivporc").value;
						
				
		
				
				if(document.getElementById("artpes").value==1){    /// si el articulo es tipo pesado romana artpes=1
				

				if (document.getElementById("cob_iv").value==1) {    /// si el articulo es gravado 
			
		        if(document.getElementById("tipart").value==2){     //// si es de tipo articulo 2
				 
				
				$tazaimp= (ivporc/100)+1;            1.13  ///////
				descuento=descuento/100;             1.10 
				total=preivi*cantidad;	             8849
				parcial_total=total/$tazaimp;
				descuento=parcial_total*descuento;  884.49
				
				total_sin_descuento=parcial_total-descuento;     7964 
				total_sin_impuesto=total_sin_descuento/$tazaimp;    1035
				taza_impuesto=ivporc/100;               0.13  ///////////////      
		
				
				impuesto=(total_sin_descuento*$tazaimp)-total_sin_descuento;
				total_final=parcial_total;
				var original=parseFloat(total_final);
				var result=Math.round(original*100)/100 ;
				document.getElementById("importe").value=result;
				document.getElementById("impuesto").value=impuesto;
				document.getElementById("mondes").value=descuento;
				
				
				} else {                                          ///////// si es tipo articulo  1                      
				
				
				descuento=descuento/100;
				total=preivi;	
				descuento=total*descuento;
				total_sin_descuento=total-descuento;
				
				$tazaimp= (ivporc/100)+1;            1.13  ///////
				impuesto=total_sin_descuento * tazaimpuesto;

				
				var original=parseFloat(total);
				var result=Math.round(original*100)/100 ;
				document.getElementById("importe").value=result;
				document.getElementById("impuesto").value=impuesto;
				document.getElementById("mondes").value=descuento;
				
				} 
				} else {                                      ///////// si el articulo es exento 
					
				descuento=descuento/100;
				total=preivi;
				descuento=total*descuento; 
			
				var original=parseFloat(total);
				var result=Math.round(original*100)/100 ;
				document.getElementById("importe").value=result;
				document.getElementById("impuesto").value="";
				document.getElementById("mondes").value=descuento;
				
			
			
			}
		
			
				} else {                            /////////////// SI  el articulo no es pesado
			
				if (document.getElementById("cob_iv").value==1) {    /// si el articulo es gravado 
			
		        if(document.getElementById("tipart").value==2){     //// si es de tipo articulo 2
				
				
				$tazaimp= (ivporc/100)+1;            1.13  ///////
				descuento=descuento/100;             1.10 
				total=preivi*cantidad;	             8849
				parcial_total=total/$tazaimp;
				descuento=parcial_total*descuento;  884.49
				
				total_sin_descuento=parcial_total-descuento;     7964 
				total_sin_impuesto=total_sin_descuento/$tazaimp;    1035
				taza_impuesto=ivporc/100;
				
				impuesto=(total_sin_descuento*$tazaimp)-total_sin_descuento;
				total_final=parcial_total;
				var original=parseFloat(total_final);
				var result=Math.round(original*100)/100 ;
				document.getElementById("importe").value=result;
				document.getElementById("impuesto").value=impuesto;
				document.getElementById("mondes").value=descuento;
				
				
				} else {                                          ///////// si es tipo articulo  1                      
				
				
				descuento=descuento/100;
				total=preivi*cantidad;	
				descuento=total*descuento;
				total_sin_descuento=total-descuento;
				
				tazaimpuesto = (ivporc/100);
				impuesto=total_sin_descuento * tazaimpuesto;
				var original=parseFloat(total);
				var result=Math.round(original*100)/100 ;
				document.getElementById("importe").value=result;
				document.getElementById("impuesto").value=impuesto;
				document.getElementById("mondes").value=descuento;
				
				} 
				} else {                                      ///////// si el articulo es exento 
					
				descuento=descuento/100;
				total=preivi*cantidad;
				descuento=total*descuento; 
			
				var original=parseFloat(total);
				var result=Math.round(original*100)/100 ;
				document.getElementById("importe").value=result;
				document.getElementById("impuesto").value="";
				document.getElementById("mondes").value=descuento;
				
			
			
			}
			} 
				 
				}
			
			
			
			
				if (document.getElementById("cliexento").value==2){     ////// si el cliente es exento 
		
		
            if(document.getElementById("artpes").value==1){    /// si el articulo es tipo pesado romana artpes=1
			
			document.getElementById("importe").value="";
				var preivi=document.getElementById("preivi").value;
				var cantidad=document.getElementById("cantidad").value;
				var descuento=document.getElementById("descuento").value;
			
				descuento=descuento/100;
				total=preivi;
				descuento=total*descuento;
				
				var original=parseFloat(total);
				var result=Math.round(original*100)/100 ;
				document.getElementById("importe").value=result;
				document.getElementById("impuesto").value="";
				document.getElementById("mondes").value=descuento;
					
			
			
			} else {         /// si el articulo no es pesado //////////////
			
				document.getElementById("importe").value="";
				var preivi=document.getElementById("preivi").value;
				var cantidad=document.getElementById("cantidad").value;
				var descuento=document.getElementById("descuento").value;
			
				descuento=descuento/100;
				total=preivi*cantidad;
				descuento=total*descuento;
				
				var original=parseFloat(total);
				var result=Math.round(original*100)/100 ;
				document.getElementById("importe").value=result;
				document.getElementById("impuesto").value="";
				document.getElementById("mondes").value=descuento;
			
			
			}
		
				}}
		
		function verificar(){
		
				document.getElementById('frame_lineas').contentWindow.cambio();	
		}
		
		function validar_cabecera(){
            ejecucion = localStorage.getItem('validar_cabecera_en_ejecucion')            
            if(ejecucion == null){
                localStorage.setItem('validar_cabecera_en_ejecucion',true)
				
                document.getElementById('cdgbar').value = ''
                document.getElementById('dscart').value = ''
                document.getElementById('preivi').value = ''
                document.getElementById('cantidad').value = ''
                document.getElementById('importe').value = ''
                
                
                var mensaje = '';
                if (document.getElementById('cliexento').value == 2) {
                    if (document.getElementById('cdgtipexo').value == '') 
                        mensaje+='  - Debe Selecionar el Tipo de Exoneracion\n'; enfoque='cdgtipexo'
                    if (document.getElementById('numdocexo').value=='') 
                        mensaje+='  - Numero de Documento de la exoneracion\n'; enfoque='numdocexo'
                    if (document.getElementById('nominstexo').value=='')
                        mensaje+='  - Nombre de la Institucion a exonerar\n'; enfoque='nominstexo'
                }
                    
                var codigo = document.getElementById('cdgcli').value	
            
                miPopup = window.open('comprobarcliente_9999.php?cdgcli=' + codigo, 'frame_datos1' , 'width=900,height=90,scrollbars=yes')
				/*
				http://api.jquery.com/jquery.ajax/
				$.ajax({
					url:'comprobarcliente_9999.php?cdgcli=' + codigo, 'frame_datos1',
					success:function(respuesta){
						
					},
					error:function(respuesta){
						
					}					
				});


				*/			


						
                if (document.getElementById('cdgcli').value=='') mensaje+='  - C?digo Cliente\n'
                if (document.getElementById('dsccli').value=='') mensaje+='  - Nombre del Cliente\n'
                if (document.formulario_lineas.total.value=='') mensaje+='  - Total de Factura no puede ser 0.00\n'
                if (document.formulario_lineas.total.value=='0.00') mensaje+='  - Total de Factura no puede ser 0.00\n'
                if (document.formulario_lineas.total.value=='0,00') mensaje+='  - Total de Factura no puede ser 0.00\n'
                if (document.formulario_lineas.total.value=='0') mensaje+='  - Total de Factura no puede ser 0.00\n'
        
                if (mensaje != '') {
                        alert('Atencion, Los siguientes campos son obligatorios:\n\n'+mensaje)
						    localStorage.removeItem('validar_cabecera_en_ejecucion')	
                } else {				
                    var combotipoventa = document.getElementById('combotipoventa').value			
                    if (combotipoventa == 2) {			
                            var limcre=document.getElementById('limcre').value
                            var salact=document.getElementById('salact').value
                            var total=document.getElementById('total_verificar').value
                            saldofinal = limcre-salact					
                            if (   total  >    saldofinal) {				
                                alert('Atencion, Factura excede el limite de credito, Consulte con el Administrador')	
								    localStorage.removeItem('validar_cabecera_en_ejecucion')				
                            } else {				
                            dsccli.disabled = false;
                            document.getElementById('formulario').submit()
							//event.preventDefault();
							//https://api.jquery.com/event.preventdefault/                            
                        }				
                    } else {	
					    localStorage.removeItem('validar_cabecera_en_ejecucion')			
                        document.forms.formulario_lineas.action='Pagar.php'
                        document.getElementById('formulario_lineas').submit()
					
                    }
                }
                
               // localStorage.removeItem('validar_cabecera_en_ejecucion')
                
            }                
        }	//fin validar_cabecera
	
	
	
	
		
			function validar_cabecera2(){
			          ejecucion = localStorage.getItem('validar_cabecera_en_ejecucion')            
            if(ejecucion == null){
                localStorage.setItem('validar_cabecera_en_ejecucion',true)
					
					
					document.getElementById("cdgbar").value="";
					document.getElementById("dscart").value="";
					document.getElementById("preivi").value="";
					document.getElementById("cantidad").value="";
					document.getElementById("importe").value="";
			
			
	   var mensaje="";
			 if (document.getElementById("cliexento").value==2) {	
			 if (document.getElementById("cdgtipexo").value=="") mensaje+="  - Debe Selecionar el Tipo de Exoneracion\n"; enfoque="cdgtipexo" ; 
		     if (document.getElementById("numdocexo").value=="") mensaje+="  - Numero de Documento de la exoneracion\n"; enfoque="numdocexo" ; 
			 if (document.getElementById("nominstexo").value=="") mensaje+="  - Nombre de la Institucion a exonerar\n"; enfoque="nominstexo" ; 
				}

			var codigo=document.getElementById("cdgcli").value;	
	
		
			miPopup = window.open("comprobarcliente.php?cdgcli="+codigo,"frame_datos1","width=900,height=90,scrollbars=yes");
			

				if (document.getElementById("cdgcli").value=="") mensaje+="  - Código Cliente\n";
				if (document.getElementById("dsccli").value=="") mensaje+="  - Nombre del Cliente\n";
			    if (document.formulario_lineas.total.value=="") mensaje+="  - Total de Factura no puede ser 0.00\n";
				if (document.formulario_lineas.total.value=="0.00") mensaje+="  - Total de Factura no puede ser 0.00\n";
				if (document.formulario_lineas.total.value=="0,00") mensaje+="  - Total de Factura no puede ser 0.00\n";
				if (document.formulario_lineas.total.value=="0") mensaje+="  - Total de Factura no puede ser 0.00\n";

		
				
			if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
					    localStorage.removeItem('validar_cabecera_en_ejecucion')	
			} else {
				
				var combotipoventa=document.getElementById("combotipoventa").value;
				
				if (combotipoventa==2) {
									
						var limcre=document.getElementById("limcre").value;
						var salact=document.getElementById("salact").value;
						var total=document.getElementById("total_verificar").value;
					
					
						
						saldofinal=limcre-salact;
						
						if (   total  >    saldofinal) {
				
						alert("Atencion, Factura excede el limite de credito, Consulte con el Administrador");
				        localStorage.removeItem('validar_cabecera_en_ejecucion')
						} else {
							
				
					  dsccli.disabled=false;
					document.getElementById("formulario").submit();
					}
				
				} else {
				
			    localStorage.removeItem('validar_cabecera_en_ejecucion')		
				document.getElementById('frame_lineas').contentWindow.validarvuelto();
                    }
                }
                
             //   localStorage.removeItem('validar_cabecera_en_ejecucion')
                
            }                
        }	//fin validar_cabecera
	
	
		
		
		
		function pagar()
			{
			
				var mensaje="";
				if (document.getElementById("cdgcli").value=="") mensaje+="  - Código Cliente\n";
				if (document.getElementById("dsccli").value=="") mensaje+="  - Nombre del Cliente\n";
			    if (document.formulario_lineas.total.value=="") mensaje+="  - Total de Factura no puede ser 0.00\n";
				if (document.formulario_lineas.total.value=="0.00") mensaje+="  - Total de Factura no puede ser 0.00\n";
				if (document.formulario_lineas.total.value=="0,00") mensaje+="  - Total de Factura no puede ser 0.00\n";
				if (document.formulario_lineas.total.value=="0") mensaje+="  - Total de Factura no puede ser 0.00\n";

		
				
			if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
			} else {
				
				var combotipoventa=document.getElementById("combotipoventa").value;
				
				if (combotipoventa==2) {
									
						var limcre=document.getElementById("limcre").value;
						var salact=document.getElementById("salact").value;
						var total3=document.getElementById("total3").value;
						
						saldofinal=limcre-salact;
						
						if (   total3  >    saldofinal) {
				
						alert("Atencion, Factura excede el limite de credito, Consulte con el Administrador");
				
						} else {
					
					alert("Atencion, Factura de credito cambio el tipo de factura para ser cancelada");
					}
				} else {
					
					document.getElementById("cdgbar").value="";
					document.getElementById("dscart").value="";
					document.getElementById("preivi").value="";
					document.getElementById("cantidad").value="";
					document.getElementById("importe").value="";
					
					document.forms.formulario_lineas.action="Pagar.php";
					document.getElementById("formulario_lineas").submit();
						
				
				}
				}
				
			}	
		
		
		
		
		function validar() 
			{
			
			
			   
			   
				var mensaje="";
				var mensaje="";
				var entero=0;
				var enteroo=0;
		         
		
				if (document.getElementById("cdgbar").value=="") mensaje="  - Código de articulo\n"; enfoque="cdgbar" ; 
				if (document.getElementById("dscart").value=="") mensaje+="  - Descripción del articulo\n";
				
				if (document.getElementById("cantidad").value=="0.00") mensaje+="  - La Cantidad no puede ser 0.00\n"; enfoque="cantidad" ; 
	   			if (document.getElementById("cantidad").value=="0") mensaje+="  - La Cantidad no puede ser 0.00\n"; enfoque="cantidad" ; 
				if (document.getElementById("preivi").value=="0") mensaje+="  - El precio no puede ser 0.00\n";    enfoque="preivi" ; 
				if (document.getElementById("preivi").value=="0.00") mensaje+="  - EL Precio no puede ser 0.00\n"; enfoque="preivi" ; 
				if (document.getElementById("preivi").value=="") { 
					
							mensaje+="  - Falta el Precio\n"; 
						    enfoque="preivi" ; 
						} else {
							if (isNaN(document.getElementById("preivi").value)==true) {
								mensaje+="  - El Precio debe ser numerico\n";
							}
						}
				if (document.getElementById("cantidad").value=="") 
						{ 
						mensaje+="  - Falta la cantidad\n";
						enfoque="cantidad" ; 
						} else {
							entero=document.getElementById("cantidad").value;
							if (isNaN(entero)==true) {
								mensaje+="  - La cantidad debe ser numerica\n";
								enfoque="cantidad" ; 
							} else {
									document.getElementById("cantidad").value=entero;
								}
						}
				if (document.getElementById("descuento").value=="") 
						{ 
						document.getElementById("descuento").value=0 
						} else {
							actualizar_importe();	
							entero=document.getElementById("descuento").value;
							if (isNaN(entero)==true) {
								mensaje+="  - El descuento debe ser numerico\n";
							} else {
								document.getElementById("descuento").value=entero;
							}
						} 
						actualizar_importe();
						
				if (document.getElementById("importe").value=="") mensaje+="  - Falta el Subtotal\n";
				if (document.getElementById("importe").value=="0") mensaje+="  - El subtotal no puede ser 0\n";
				if (document.getElementById("importe").value=="0.00") mensaje+="  - El Subtotal no puede ser 0.00\n";
				if (document.getElementById("importe").value < "0") mensaje+="  - El Subtotal no puede ser menor a  0.00\n";
				
				if (mensaje!="") {
					alert("Atencion, los siguientes campos son necesarios:\n\n"+mensaje);
					
					document.getElementById(enfoque).select();
				} else {
					document.getElementById("baseimponible").value=parseFloat(document.getElementById("baseimponible").value) + parseFloat(document.getElementById("importe").value);	//
					cambio_cob_iv();
			//		preivi.disabled=false;
		    //        dscart.disabled=false;
					
		
					
					document.getElementById("formulario_lineas").submit();
					
					document.getElementById("cdgbar").value="";
					document.getElementById("cdgbar").focus();
					document.getElementById("dscart").value="";
					document.getElementById("preivi").value="";
					document.getElementById("cantidad").value="1.00";
					document.getElementById("importe").value="";
					document.getElementById("descuento").value="0.00";
					document.getElementById("cob_iv").value="";	
					document.getElementById("impuesto").value="";	
    		

					
							
				}
			}
			
		function cambio_cob_iv() {
			var original=parseFloat(document.getElementById("baseimponible").value);
			var result=Math.round(original*100)/100 ;
			document.getElementById("baseimponible").value=result;
	
			document.getElementById("baseimpuestos").value= parseFloat(document.getElementById("impuesto"));
			var original1=parseFloat(document.getElementById("baseimpuestos").value);
			var result1=Math.round(original1*100)/100 ;
			document.getElementById("baseimpuestos").value=result1;
			var original2=parseFloat(result + result1);
			var result2=Math.round(original2*100)/100 ;
			document.getElementById("preciototal").value=result2;
			
		}	

//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "formulario_lineas"

	
//funcion que gestiona el evento
function TelcaPulsada( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 	
			//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit		
		 validar();	//eliminar este alert para uso normal
		 
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
	  
		 eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')

         return false
      }
   }
}

document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	

function chequear(){
	
		var cdgcli=document.getElementById("cdgcli").value;

	
			if (cdgcli.value != "9999"){
					combotipoventa.disabled=false;	
					dsccli.disabled=true;
				//	document.getElementById("combotipoventa").value=2;
		
				
			} else {

					

						combotipoventa.disabled=true;
						dsccli.disabled=false;
						document.getElementById("combotipoventa").value=1;
				
	
				}					}







	
function chequea(cdgcli,combotipoventa,dsccli){
	

	
			if (cdgcli.value != "9999"){
				combotipoventa.disabled=false;	
				dsccli.disabled=true;
			//	document.getElementById("combotipoventa").value=2;
		
	
		} else {
			
	
						combotipoventa.disabled=true;
						dsccli.disabled=false;
						document.getElementById("combotipoventa").value=1;
					
	
	
				}}					

        ////////////   funcion al selecionar el combo tipo de venta  ////////////

		function redireccionar(obj) {
	
				var vencido=document.getElementById("vencido").value;
				var valorSeleccionado = obj.options[obj.selectedIndex].value; 
 
 						  if ( (valorSeleccionado == 2) && (vencido ==1) ) {
    							alert ("Cliente posee SALDO VENCIDO, no es permitido realizar compras a credito");
								document.getElementById("combotipoventa").value=1;
									
  							 }

					}
					/////////////   Funcion vencicmiento al validar el cliente //////////////

		function vencido2(vencido) {

   						if  (vencido == 1) {
    						alert ("Cliente posee SALDO VENCIDO , no es permitido DDDDDDDrealizar compras a credito");
							document.getElementById("combotipoventa").value=1;
						

  						 }

					}
 


function chequea_articulo (cdgbar,dscart,preivi){
	if (cdgbar.value =="50" || cdgbar.value =="0" || cdgbar.value =="1"|| cdgbar.value =="11064"|| cdgbar.value =="101"|| cdgbar.value =="102"|| cdgbar.value =="401"|| cdgbar.value =="100" || cdgbar.value =="53"|| cdgbar.value =="52"|| cdgbar.value =="90"|| cdgbar.value =="2601100000006" ) {
		
		preivi.disabled=false;
		dscart.disabled=false;
		
		

      } else if (cdgbar.value =="51" ) {
		
		preivi.disabled=false;
		dscart.disabled=false;
		
		
		
		 } else  {
		

	  	preivi.disabled=true;	
		dscart.disabled=true;
		

			}
				}
			

        
	


function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

function inicio(){
	   		localStorage.removeItem('validar_cabecera_en_ejecucion')
			document.getElementById("cdgbar").focus();
			document.getElementById("cliexento").value=1;
			combotipoventa.disabled=true;	
			dsccli.disabled=false;	
	
}

function devolver(){
	   		
				
			cdgbar.disabled=false;	
	
}


	function reimprimir(){

	var numfac=document.getElementById("numfac").value;	
			
			if (numfac=="") {
					alert("Verifique debe digitar un numero de factura");
			} else {
		miPopup = window.open("Comprobar_Factura.php?numfac="+numfac, "frame_datos4","width=900,height=90,scrollbars=yes");

		document.getElementById("numfac").select();

				}
				
			}	
		
		function reimprimir_factura(){

	var codfactura=document.getElementById("numfac").value;	
			
	window.open("../fpdf/imprimir_factura_PUNTO_VENTA_SUPER_REIMPRESA.php?codfactura="+codfactura);		
			document.getElementById("numfac").value="";
				}
				
		
	
			
		function valorexento()	 {		

			var cliexento=document.getElementById("cliexento").value;
			document.getElementById("cliexe2").value=cliexento;
			 document.getElementById("formulario_lineas").submit();  //escape salir
			

		}
		
		
 function  habilitarexento()     {
 
 	var cliexento=document.getElementById("cliexento").value;
	if ( cliexento == 2 ) {
		
	    cdgtipexo.disabled=false; 
		numdocexo.disabled=false;
		nominstexo.disabled=false;

		 } else  {
		
	    cdgtipexo .disabled=true; 
		numdocexo.disabled=true; 
		nominstexo.disabled=true; 
	    document.getElementById("cdgtipexo").value="";
		document.getElementById("numdocexo").value="";
		document.getElementById("nominstexo").value="";

			}
	
        }
		
		
			function aplicar_descuento()	 {		

			var codigo=document.getElementById("destot").value;
	
			if (destot=="") {
				alert ("El monto del descuento no puede ser 0.00");
	
				} else {
					
					if (confirm(" Desea aplicar el descuento a todas las lineas ? "))
				var codfacturatmp=document.getElementById("codfacturatmp").value;
				var destot=document.getElementById("destot").value;
			miPopup = window.open("aplicar_descuento.php?codfacturatmp="+codfacturatmp+"&destot="+destot+"&cliexento="+cliexento, "frame_datos5","width=900,height=90,scrollbars=yes");
				
	
						}
				}
		

		</script>
	    <style type="text/css">
<!--
.Estilo1 {color: #0000CC}
-->
        </style>
</head>
		<body onLoad="nobackbutton(); inicio();">
				<div id="">
			<div id="zonaVentanas">
				<div align="center">

				
					<div class="contenidoFactura3">
					<form id="formulario" name="formulario" method="post" action="guardar_proforma_unica.php">
                      <table class="fuente8" width="100%" cellspacing=2 cellpadding=0 border=0>
                        <tr>
                          <td colspan="3" rowspan="4"><img src="../img/Logo_FACTURA.png" alt="logo" ></td>
                          <td colspan="3"><?php
 
$dias = array("Domingo","Lunes","Martes","Miercoles","Jueves","Viernes","S&aacute;bado");
$meses = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");
 
echo $dias[date('w')]." ".date('d')." de ".$meses[date('n')-1]. " del ".date('Y') ;
//Salida: Viernes 24 de Febrero del 2012
 
?></td>
      <input id="enlinea"   readonly style='text-align:center;'  name="enlinea" value="<?php echo $enlinea; ?> "  type="hidden" >
                          <td>                         </td>
                          <td width="12%" align="center"><?php echo date("h:i:s A"); ?></td>
                          <td colspan="4" rowspan="4"><div align="center" class="Estilo1">
                              <input id="total2"   readonly style='text-align:right;'  class="fuente_totales2" name="total2" value=" 0.00"  type="text" >
                          </div></td>
                          <td width="1%" rowspan="6">&nbsp;</td>
                        </tr>
                        <tr>
                          <td colspan="2">Cajero: <?php echo $nomb; ?></td>
                          <td width="16%" colspan="2">&nbsp;</td>
                          <td><div align="center">
                              <strong >A COBRAR</strong></td
			          >
                        </tr>
                        <tr>
                          <td colspan="2"><input name="vehpla" class="cajaMedia" id="vehpla"   type="hidden">
                              <input name="vuelto2"  id="vuelto2"   type="hidden">
                              <input name="pagacon2"  id="pagacon2"    type="hidden">
                              <input name="efectivo2"  id="efectivo2"   type="hidden">
                              <input name="depositos2" id="depositos2"   type="hidden">
                              <input name="cheques2"  id="cheques2"   type="hidden">
                              <input name="tarjetas2"  id="tarjetas2"   type="hidden">
                              <input name="dolares2"  id="dolares2"    type="hidden"></td>
                          <input name="vencido"  id="vencido" value=""  type="hidden">
                          <td colspan="2"><input name="cdgven" type="hidden" class="cajaGrande" id="cdgven" size="10" maxlength="10" style='text-align:center;' value=" <?php echo $cdgven?>" readonly>
                              <input name="cedcli" type="hidden" class="cajaGrande" id="cedcli" size="20" maxlength="15"  disabled=true autocomplete= "off" onFocus="siguienteCampo ='combotipoventa';">
                              <input name="obsped2"  id="obsped2"    type="hidden">
                              <input name="fecha" type="hidden" class="cajaGrande" id="fecha" size="10" maxlength="10" style='text-align:center;' value=" <?php echo $hoy?>" readonly>
                              <input name="cob_iv"  id="cob_iv" value=" <?php echo $ivaimp?>" onChange="cambio_cob_iv()" type="hidden">
                              <input name="kmsveh" type="hidden" class="cajaMedia" id="kmsveh" size="20" maxlength="15" onFocus="siguienteCampo ='cdgcli';">
                              <input name="codfactura_contado"  id="codfactura_contado" value=" <?php echo $codfactura_contado?>"   type="hidden">
                              <input name="clades"  id="clades" value=" <?php echo $clades?>"   type="hidden">
                              <input name="tipcamdol2"  id="tipcamdol2" value=" <?php echo $tipcamdol?>"   type="hidden"></td>
                          <td rowspan="2">&nbsp;</td>
                        </tr>
                        <tr>
                          <td><select id="cdgtipexo" name="cdgtipexo" class="comboGrande"  value""  onChange="redireccionar(this);"  disabled autofocus >
                              <?php
							
					
					  	$exoneracion="SELECT * FROM hac_tipo_exoneracion ";
                        $resultado = $mysqli->query($exoneracion) 
						?>
                              <?php
							while ($fila = $resultado->fetch_assoc()) { ?>
                              <option value="<?php echo  $fila["cdgtipexo"]?>"><?php echo  $fila["dsctipexo"]?></option>
                              <?php 
								} ?>
                          </select></td>
                          <td><input name="numdocexo" type="text" class="cajaGrande" id="numdocexo" size="17" maxlength="17" disabled=true  autocomplete= "off"  placeholder="Numero Documento" onFocus="siguienteCampo ='vehpla';"></td>
                          <td colspan="2"><input name="nominstexo" type="text" class="cajaGrande" id="nominstexo" size="100" maxlength="100" disabled=true  autocomplete= "off"   placeholder="Institucion Exonerada" onFocus="siguienteCampo ='vehpla';"></td>
                        </tr>
                        <tr>
                          <td width="1%">&nbsp;</td>
                          <td width="2%"><img src="../img/Search_Male_User_Icon_32.png" alt="1" width="25" height="25" title="Buscar cliente" onClick="abreVentana()" onMouseOver="style.cursor=cursor"></td>
                          <td width="8%"><input name="cdgcli" style='text-align:center;'  type="text" class="cajaGrande" id="cdgcli"  maxlength="12" click="limpiarcaja()"  autocomplete= "off" value="9999" onKeyUp="chequea(this,this.form.combotipoventa,dsccli); "  onChange="chequea(this,this.form.combotipoventa,dsccli); validarcliente(); " onFocus="  siguienteCampo ='cliexe'; "></td>
                          <td width="13%"><select id="combotipoventa" name="combotipoventa" class="comboGrande" onChange="redireccionar(this);"  disabled autofocus>
                              <?php
							
					
					  	$tipo="SELECT * FROM tipoventa ";
                        $resultado = $mysqli->query($tipo) 
						?>
                              <?php
							while ($fila = $resultado->fetch_assoc()) { ?>
                              <option value="<?php echo  $fila["cdgtipven"]?>"><?php echo  $fila["dsctipven"]?></option>
                              <?php 
								} ?>
                          </select></td>
                          <td width="12%"><select id="cliexento" name="cliexento" class="cajaGrande"  onChange="valorexento(); habilitarexento() "  >
                            <?php
					            
					        $artexe= 1;
                            $query_artexe = "SELECT * FROM tipocliente ORDER BY cdgtipcli ASC";
                            $result = $mysqli->query($query_artexe);
					  ?>
                            <?php
					 while ($fila = $result->fetch_assoc()) { 
					          if ($artexe ==  $fila["cdgtipcli"]) { ?>
                            <option value="<?php echo  $fila["cdgtipcli"]?>" selected="selected"><?php echo  $fila["dsctipcli"]?></option>
                            <?php } else { ?>
                            <option value="<?php echo  $fila["cdgtipcli"]?>"><?php echo  $fila["dsctipcli"]?></option>
                            <?php } ;
								} ?>
                          </select></td>
                          <td><input name="destot"  class="cajaGrande" autocomplete= "off" type="text" size="8"  style='text-align:center;' id="destot"  placeholder="DCTO" onChange="aplicar_descuento()" onFocus=" siguienteCampo ='cdgbar';" ></td>
                          <td><select id="natdes" name="natdes"   class="comboGrande"  autofocus>
                              <?php
							
					
					  	$naturaleza="SELECT * FROM hac_naturaleza_descuento ";
                        $tipo_descuento = $mysqli->query($naturaleza) 
						?>
                              <?php
							while ($linea = $tipo_descuento ->fetch_assoc()) { ?>
                              <option value="<?php echo  $linea["dscnatdes"]?>"><?php echo  $linea["dscnatdes"]?></option>
                              <?php 
								} ?>
                          </select></td>
                          <td rowspan="2"><div align="center">
                              <strong >DOLARES</strong></td>
                          <input NAME="cdgclifac" class="cajaMedia" id="cdgclifac"  value="9999"  type="hidden" >
                          <input NAME="limcre" class="cajaMedia" id="limcre"  type="hidden"    >
                          <input NAME="salact" class="cajaMedia" id="salact"  type="hidden"    >
                          <input id="total_verificar" name="total_verificar" value=""  type="hidden" >
                          <td colspan="4" rowspan="2"><div align="center" class="Estilo1">
                              <input id="total_dolar"   readonly style='text-align:right;'  class="fuente_totales2" name="total_dolar" value="0.00"  type="text" >
                          </div></td>
                        </tr>
                        <tr>
                          <td>&nbsp;</td>
                          <td colspan="6"><input name="dsccli" type="text" class="cajaGrande" id="dsccli" size="45" maxlength="45" disabled=true  autocomplete= "off"  value="ESTIMADO CLIENTE"  onFocus="siguienteCampo ='vehpla';"></td>
                        </tr>
                      </table>
					  <input id="cliexe" name="cliexe" value=" <?php echo $cliexe?>"  type="hidden">
                      <input id="codfacturatmp3" name="codfacturatmp3" value=" <?php echo $codfacturatmp?>" type="hidden">
                      <input id="baseimpuestos2" name="baseimpuestos2" value=" <?php echo $baseimpuestos?>" type="hidden">
                      <input id="baseimponible2" name="baseimponible2" value=" <?php echo $baseimponible?>" type="hidden">
                      <input id="preciototal2" name="preciototal2" value=" <?php echo $codnotatmp?>" type="hidden">
                      <input id="accion" name="accion" value="alta" type="hidden">
                    </form>
					<form id="formulario_lineas" name="formulario_lineas" method="post" action="frame_lineas_super.php" target="frame_lineas">
				<table class="" width="100%"  border="0" ID="Table10" >
				   <input id="cliexe2" name="cliexe2" value="1"  type="hidden" >
				   <input id="filas" name="filas" value="<?php echo $filas?>"  type="hidden" >
                   <input id="tipcamdol" name="tipcamdol" value="<?php echo $tipcamdol?>"  type="hidden" >	
                   <input name="cdgclifac2" class="cajaMedia" id="cdgclifac2"   value="9999" type="hidden" >
				   <input id="dsccli2" name="dsccli2" value="ESTIMADO CLIENTE" type="hidden">
                   <input name="tipart" class="cajaMedia" id="tipart"   value="" type="hidden" >
                   <input name="artpes" class="cajaMedia" id="artpes"   value="" type="hidden" >
				   	<input name="ivporc"  id="ivporc"  value="" type="hidden">
                   <input id="codfacturatmp2" name="codfacturatmp2" value="<?php echo $codfacturatmp?>" type="hidden">
				  <tr>
				    <td width="5%"><input name="cantidad" type="text"  style='text-align:center;' id="cantidad"  class="cajaGrande" value="1.00" autocomplete= "off"  onFocus="siguienteCampo ='cdgbar';" ></td>
				    <td   width="16%" ><input name="cdgbar" type="text"  id="cdgbar"   onBlur="validararticulo()"    autocomplete= "off"   onFocus="siguienteCampo ='cantidad';"   class="cajaGrande"  ></td>
                    <input id="impuesto" name="impuesto" value="<?php echo $impuesto?>"  type="hidden">
					<td   width="25%"><input name="dscart"   type="text"id="dscart" class="cajaGrande"   autocomplete= "off"   onFocus="siguienteCampo ='preivi';"  ></td>
                    <input name="mondes" type="hidden" id="mondes">
					<td   width="5%">Precio</td>
					<td   width="12%"><input NAME="preivi" type="text" style='text-align:right;'
					 id="preivi" autocomplete= "off"  class="cajaGrande" onFocus=" siguienteCampo ='fin';"></td>
					<td width="7%"><div align="right">Cantidad</div></td>
					<td width="12%"><img src="../img/search-b-icon (5).png" width="32" height="32" onClick="ventanaArticulos()" onMouseOver="style.cursor=cursor" title="Buscar articulos"></td>
					<td width="6%">&nbsp;</td>
				<td width="6%">Tipo $</td>
					<td width="3%"><?php echo $tipcamdol?></td>
					
					<td width="2%"><input name="importe" type="hidden"  id="importe"  value="0" style='text-align:right;' 
					  class="cajaGrande" readonly>
				    <input name="descuento"  class="cajaGrande" autocomplete= "off" type="hidden"  style='text-align:right;' id="descuento"  value="0.00" onChange="actualizar_importe()" onFocus=" siguienteCampo ='fin';" ></td>
					<td width="4%"><img src="../img/Arrow-Down_32x32-32.png" t width="32" name="fin" id="fin" height="32" border="0" onClick="validar()" onMouseOver="style.cursor=cursor" title="Agregar articulo"></td>
				  </tr>
				</table>
			
				<input name="codarticulo" value="<?php echo $codarticulo?>" type="hidden" id="codarticulo">
				
				</div>
				
			
			<table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
						<tr class="cabeceraTabla">
						
							<td width="7%">&nbsp;</td>
							<td width="11%"><span >CANTIDAD</span></td>
							<td width="40%">DETALLE</td>
							<td width="13%"><span >PRECIO</span></td>
							<td width="16%">&nbsp;</td>
							<td width="9%">&nbsp;</td>
							<td width="4%">&nbsp;</td>
						</tr>
				</table>
				
			  </div>
				<table width="100%" border="0">
				  <tr>
				    <td width="2%" height="-2">&nbsp;</td>
				    <td width="64%" rowspan="12" bordercolor="#003366"  border="0"><iframe align="left" width="100%" height="285" id="frame_lineas" name="frame_lineas" frameborder="0"> <ilayer width="100%" height="60" id="frame_lineas" name="frame_lineas"></ilayer></iframe></td>
				    <td colspan="2" rowspan="2"  align="center"><input  autocomplete="off" size="10" placeholder="N.Factura" NAME="numfac" type="text"  class="button" id="numfac" style='text-align:center;'  onChange="reimprimir()" onFocus=" siguienteCampo ='cdgcli'"></td>
				    <td width="1%"  align="center">&nbsp;</td>
			      </tr>
				  <tr>
				    <td width="2%" height="-2">&nbsp;</td>
				    <td  align="center">&nbsp;</td>
			      </tr>
				  <tr>
				    <td width="2%" height="-2">&nbsp;</td>
				    <td colspan="2" rowspan="3"  align="center"><img src="../img/Save_48x48-32.png" width="48" height="48"  id="boton"  title="guardar e imprimir"  onMouseOver="verificar()"  onClick=" validar_cabecera(); "><img src="../img/pago-icono.png"  onClick="pagar()" title="pagar" width="60" height="60"></td>
				    <td  align="center">&nbsp;</td>
			      </tr>
				  <tr>
				    <td width="2%" height="-2">&nbsp;</td>
				    <td  align="center">&nbsp;</td>
			      </tr>
				  <tr>
				    <td width="2%" height="-1">&nbsp;</td>
				    <td  align="center">&nbsp;</td>
			      </tr>
				  <tr>
				    <td width="2%" height="-1">&nbsp;</td>
				    <td colspan="2" rowspan="3"  align="center"><img src="../img/Undo_48x48-32.png" alt="Salir" width="48" height="48"  title="Cancelar" onClick="salir()" onMouseOver="style.cursor=cursor" border="0"></td>
				    <td  align="center">&nbsp;</td>
			      </tr>
				  <tr>
				    <td width="2%" height="0">&nbsp;</td>
				    <td  align="center">&nbsp;</td>
			      </tr>
				  <tr>
				    <td width="2%" height="1">&nbsp;</td>
				    <td  align="center">&nbsp;</td>
			      </tr>
				  <tr>
				    <td width="2%" height="4">&nbsp;</td>
				    <td width="13%"  align="right">SubTotal:				      </td>
				    <td width="20%"  align="right"><input readonly id="subtotal"  style='text-align:right;'  class="fuente_factura" name="subtotal" value=""  type="text" ></td>
				    <td  align="right">&nbsp;</td>
			      </tr>
				  <tr>
				    <td width="2%" height="11">&nbsp;</td>
				    <td   align="right">Descuento:				      </td>
				    <td   align="right"><input id="descuento2"  readonly style='text-align:right;'  class="fuente_factura" name="descuento2" value=""  type="text" ></td>
				    <td   align="right">&nbsp;</td>
			      </tr>
				  <tr>
				    <td width="2%" height="23">&nbsp;</td>
				    <td   align="right">Impuesto:				      </td>
				    <td   align="right"><input id="imp" readonly  style='text-align:right;'  class="fuente_factura" name="imp" value=""  type="text" ></td>
				    <td   align="right">&nbsp;</td>
			      </tr>
				  <tr>
				    <td width="2%" height="23">&nbsp;</td>
				    <td   align="right">Total:</td>
				    <td   align="right"><input id="total" readonly  style='text-align:right;'  class="fuente_factura" name="total" value=""  type="text" ></td>
				    <td   align="right">&nbsp;</td>
			      </tr>
				  </table>
				<div id="frmBusqueda" style="display:none">
				<table width="25%" border=0 align="right" cellpadding=3 cellspacing=0 class="fuente8">
			  <tr>
			    <td width="27%" class="busqueda">Sub-total</td>
				<td width="73%" align="right"><div align="center">
			      <input class="cajaTotales" name="baseimponible" type="text" id="baseimponible" size="12" value=0 align="right" readonly> 
		        </div></td>
			  </tr>
			  <tr>
				<td class="busqueda">IVA</td>
				<td align="right"><div align="center">
			      <input class="cajaTotales" name="baseimpuestos" type="text" id="baseimpuestos" size="12" align="right" value=0 readonly> 
		        </div></td>
			  </tr>
			  <tr>
				<td class="busqueda">Precio Total</td>
				<td align="right"><div align="center">
			      <input class="cajaTotales" name="preciototal" type="text" id="preciototal" size="12" align="right"  readonly> 
		        </div></td>
			  </tr>
		</table>
			  </div>
								
				  <div align="center">
				    <table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table2">
				      <tr >
				        <td colspan="2" ><input id="venta"   readonly style='text-align:left;'  class="piefactura" name="venta"   type="text" ></td>
		              </tr>
                      <td width="20%"></tr>
			        </table>
				    <p>	
				      <input id="codfamilia" name="codfamilia" value="<?php echo $codfamilia?>" type="hidden">
				      <input id="codfacturatmp" name="codfacturatmp" value="<?php echo $codfacturatmp?> " type="hidden">
				    </p>	
					
					
					    
			   
				  </div>
<iframe id="frame_datos1" name="frame_datos1" width="0" height="0" frameborder="0">
	  <ilayer width="0" height="0" id="frame_datos1" name="frame_datos1"></ilayer>
	  </iframe>
					<iframe id="frame_datos2" name="frame_datos2" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos2" name="frame_datos2"></ilayer>
					</iframe>
                    
                    		<iframe id="frame_datos4" name="frame_datos4" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos4" name="frame_datos4"></ilayer>
					</iframe>
		
		                  		<iframe id="frame_datos5" name="frame_datos5" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos5" name="frame_datos5"></ilayer>
					</iframe>
		
			  </form>
			 </div>
    </div>
		</div>
	</body>
</html>





